2013-02-26  Dave Beckett  <dave@dajobe.org>

	* Snapshotted raptor2_2_0_9 for 2.0.9 release (GIT
	32b08d01e8c378b43ca2fee2b849b4d14b36c32d)

	* INSTALL.html, NEWS.html, RELEASE.html, TODO.html, UPGRADING.html:
	2.0.9

2013-02-25  Dave Beckett <dave@dajobe.org>

	* NEWS.html, README.html, RELEASE.html: 2.0.9

	* src/Makefile.am, src/raptor2.h.in, src/raptor_sparql.c:
	(raptor_sparql_name_check_type): Removed - not used

	* Merge pull request #7 from dajobe/turtle-2013 Support Turtle 2013

2013-02-24  Dave Beckett <dave@dajobe.org>

	* src/turtle_lexer.l: Terminate parsing at bad URI characters

	* tests/turtle/Makefile.am: Add bad-15.out bad-17.out bad-18.out
	bad-21.out bad-22.out to dist

	* tests/turtle-2013/Makefile.am: README

	* tests/turtle-2013/README: Add Turtle 2013 Readme

	* src/turtle_lexer.l: Use raptor_turtle_check_uri_string to valid
	IRIs in Turtle docs

	* src/turtle_common.c, src/turtle_common.h: Ensure only an IRI
	that matches Turtle rules passes parsing

	(raptor_turtle_check_uri_string): Added to check Turtle URI char
	rules

	* src/raptor_internal.h, src/raptor_serialize_turtle.c,
	src/raptor_turtle_writer.c: Update Turtle URI writing to match
	Turtle 2013 encoding

	(raptor_turtle_writer_reference): Write URIs with Turtle 2013
	escaped characters; must escape #x00-#x20<>\"{}|^`

	* tests/turtle/Makefile.am: Mark turtle tests bad-17 and bad-18 as
	now good

	* tests/turtle/bad-17.out, tests/turtle/bad-17.ttl,
	tests/turtle/bad-18.out, tests/turtle/bad-18.ttl: Mark turtle
	tests bad-17 and bad-18 as now good

	* tests/turtle/test-29.ttl: Turtle 2013 changes the way URIs are
	encoded :/

	* src/turtle_parser.y: Fix statement list to match Turtle 2013
	rules about '.'s Removes 4 lexer conflicts; now expect 0

	* src/turtle_lexer.l: Fix DECIMAL, DOUBLE, INTEGER to match Turtle
	2013.  '123.' is now an integer followed by '.' not a double

	* src/turtle_common.c: Check for valid \u and \U escapes in turtle
	strings

	(raptor_stringbuffer_append_turtle_string)
	(raptor_turtle_expand_name_escapes): Added checking code.

	* src/turtle_lexer.l: Replace QUOTEDURI with Turtle 2013 IRI
	allowing u-escapes

	* tests/turtle-2013/Makefile.am: Report error counts and failing
	tests

	* src/turtle_lexer.l: ws

	* src/turtle_common.c, src/turtle_common.h, src/turtle_parser.y:
	Added turtle_expand_name_escapes for expanding escapes inline

	* src/turtle_lexer.l: Support '''single long''' quotes

	* src/turtle_lexer.l: Support 'single' quotes

	* src/turtle_lexer.l: \.

	* tests/turtle/Makefile.am, tests/turtle/bad-15.out,
	tests/turtle/bad-21.out, tests/turtle/bad-22.out: Turtle tests
	bad-15, bad-21 and bad-22 are good for Turtle 2013

	* src/raptor_qname.c:
	(raptor_qname_string_to_uri): Handle qnames with two :s
	Need to handle ':foo:...' QNames; just care about first ':'

	* tests/turtle-2013/Makefile.am: Tidy and report number of errors

	* src/turtle_lexer.l: Fix Turtle 2013 lexing rules

	* src/turtle_lexer.l, src/turtle_parser.y: Switch to use LANGTAG
	for language tag

	* src/turtle_parser.y: Fixes for debugging bison

	* src/turtle_common.c:
	(raptor_stringbuffer_append_turtle_string): Handle Turtle 2013
	\-escapes

2013-02-23  Dave Beckett <dave@dajobe.org>

	* src/turtle_parser.y: Be resilient to NULL turtle_parser in
	errors and qname lookups

	(turtle_syntax_error, turtle_qname_to_uri): Return NULL if no
	turtle_parser is present.

	* src/raptor_namespace.c:
	(raptor_namespaces_find_namespace): Be resilient to NULL or empty
	stack.

	* tests/turtle-2013/Makefile.am: more turtle 2013 syntax tests

	* src/turtle_parser.y: Allow blankNodePropertyList %expect from 2
	to 4:

	State 25 conflicts: 2 shift/reduce
	State 59 conflicts: 2 shift/reduce

	Altered some rules to match Turtle 2013:

	- predicateObjectList: renamed from propertyList
	- predicateObjectListOpt: renamed from propertyListOpt
	- blankNode: renamed from blank and altered to match
	- subject: add blankNode and collection
	- object: add collection and blankNodePropertyList

	* src/turtle_lexer.l, src/turtle_parser.y:
	Support SPARQL "BASE <URI>" and "PREFIX <prefix>: <URI>" for Turtle 2013

	* tests/turtle-2013/Makefile.am: Add turtle 2013 syntax check
	files

	* tests/turtle-2013/LICENSE, tests/turtle-2013/Makefile.am,
	tests/turtle-2013/manifest.ttl,
	tests/turtle-2013/turtle-eval-bad-01.ttl,
	tests/turtle-2013/turtle-eval-bad-02.ttl,
	tests/turtle-2013/turtle-eval-bad-03.ttl,
	tests/turtle-2013/turtle-eval-bad-04.ttl,
	tests/turtle-2013/turtle-eval-struct-01.nt,
	tests/turtle-2013/turtle-eval-struct-01.ttl,
	tests/turtle-2013/turtle-eval-struct-02.nt,
	tests/turtle-2013/turtle-eval-struct-02.ttl,
	tests/turtle-2013/turtle-subm-01.nt,
	tests/turtle-2013/turtle-subm-01.ttl,
	tests/turtle-2013/turtle-subm-02.nt,
	tests/turtle-2013/turtle-subm-02.ttl,
	tests/turtle-2013/turtle-subm-03.nt,
	tests/turtle-2013/turtle-subm-03.ttl,
	tests/turtle-2013/turtle-subm-04.nt,
	tests/turtle-2013/turtle-subm-04.ttl,
	tests/turtle-2013/turtle-subm-05.nt,
	tests/turtle-2013/turtle-subm-05.ttl,
	tests/turtle-2013/turtle-subm-06.nt,
	tests/turtle-2013/turtle-subm-06.ttl,
	tests/turtle-2013/turtle-subm-07.nt,
	tests/turtle-2013/turtle-subm-07.ttl,
	tests/turtle-2013/turtle-subm-08.nt,
	tests/turtle-2013/turtle-subm-08.ttl,
	tests/turtle-2013/turtle-subm-09.nt,
	tests/turtle-2013/turtle-subm-09.ttl,
	tests/turtle-2013/turtle-subm-10.nt,
	tests/turtle-2013/turtle-subm-10.ttl,
	tests/turtle-2013/turtle-subm-11.nt,
	tests/turtle-2013/turtle-subm-11.ttl,
	tests/turtle-2013/turtle-subm-12.nt,
	tests/turtle-2013/turtle-subm-12.ttl,
	tests/turtle-2013/turtle-subm-13.nt,
	tests/turtle-2013/turtle-subm-13.ttl,
	tests/turtle-2013/turtle-subm-14.nt,
	tests/turtle-2013/turtle-subm-14.ttl,
	tests/turtle-2013/turtle-subm-15.nt,
	tests/turtle-2013/turtle-subm-15.ttl,
	tests/turtle-2013/turtle-subm-16.nt,
	tests/turtle-2013/turtle-subm-16.ttl,
	tests/turtle-2013/turtle-subm-17.nt,
	tests/turtle-2013/turtle-subm-17.ttl,
	tests/turtle-2013/turtle-subm-18.nt,
	tests/turtle-2013/turtle-subm-18.ttl,
	tests/turtle-2013/turtle-subm-19.nt,
	tests/turtle-2013/turtle-subm-19.ttl,
	tests/turtle-2013/turtle-subm-20.nt,
	tests/turtle-2013/turtle-subm-20.ttl,
	tests/turtle-2013/turtle-subm-21.nt,
	tests/turtle-2013/turtle-subm-21.ttl,
	tests/turtle-2013/turtle-subm-22.nt,
	tests/turtle-2013/turtle-subm-22.ttl,
	tests/turtle-2013/turtle-subm-23.nt,
	tests/turtle-2013/turtle-subm-23.ttl,
	tests/turtle-2013/turtle-subm-24.nt,
	tests/turtle-2013/turtle-subm-24.ttl,
	tests/turtle-2013/turtle-subm-25.nt,
	tests/turtle-2013/turtle-subm-25.ttl,
	tests/turtle-2013/turtle-subm-26.nt,
	tests/turtle-2013/turtle-subm-26.ttl,
	tests/turtle-2013/turtle-subm-27.nt,
	tests/turtle-2013/turtle-subm-27.ttl,
	tests/turtle-2013/turtle-syntax-bad-base-01.ttl,
	tests/turtle-2013/turtle-syntax-bad-base-02.ttl,
	tests/turtle-2013/turtle-syntax-bad-base-03.ttl,
	tests/turtle-2013/turtle-syntax-bad-esc-01.ttl,
	tests/turtle-2013/turtle-syntax-bad-esc-02.ttl,
	tests/turtle-2013/turtle-syntax-bad-esc-03.ttl,
	tests/turtle-2013/turtle-syntax-bad-esc-04.ttl,
	tests/turtle-2013/turtle-syntax-bad-kw-01.ttl,
	tests/turtle-2013/turtle-syntax-bad-kw-02.ttl,
	tests/turtle-2013/turtle-syntax-bad-kw-03.ttl,
	tests/turtle-2013/turtle-syntax-bad-kw-04.ttl,
	tests/turtle-2013/turtle-syntax-bad-kw-05.ttl,
	tests/turtle-2013/turtle-syntax-bad-lang-01.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-01.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-02.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-03.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-04.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-05.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-06.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-07.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-08.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-09.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-10.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-11.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-12.ttl,
	tests/turtle-2013/turtle-syntax-bad-n3-extras-13.ttl,
	tests/turtle-2013/turtle-syntax-bad-num-01.ttl,
	tests/turtle-2013/turtle-syntax-bad-num-02.ttl,
	tests/turtle-2013/turtle-syntax-bad-num-03.ttl,
	tests/turtle-2013/turtle-syntax-bad-num-04.ttl,
	tests/turtle-2013/turtle-syntax-bad-num-05.ttl,
	tests/turtle-2013/turtle-syntax-bad-pname-01.ttl,
	tests/turtle-2013/turtle-syntax-bad-pname-02.ttl,
	tests/turtle-2013/turtle-syntax-bad-pname-03.ttl,
	tests/turtle-2013/turtle-syntax-bad-prefix-01.ttl,
	tests/turtle-2013/turtle-syntax-bad-prefix-02.ttl,
	tests/turtle-2013/turtle-syntax-bad-prefix-03.ttl,
	tests/turtle-2013/turtle-syntax-bad-prefix-04.ttl,
	tests/turtle-2013/turtle-syntax-bad-prefix-05.ttl,
	tests/turtle-2013/turtle-syntax-bad-string-01.ttl,
	tests/turtle-2013/turtle-syntax-bad-string-02.ttl,
	tests/turtle-2013/turtle-syntax-bad-string-03.ttl,
	tests/turtle-2013/turtle-syntax-bad-string-04.ttl,
	tests/turtle-2013/turtle-syntax-bad-string-05.ttl,
	tests/turtle-2013/turtle-syntax-bad-string-06.ttl,
	tests/turtle-2013/turtle-syntax-bad-string-07.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-01.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-02.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-03.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-04.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-05.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-06.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-07.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-08.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-09.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-10.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-11.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-12.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-13.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-14.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-15.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-16.ttl,
	tests/turtle-2013/turtle-syntax-bad-struct-17.ttl,
	tests/turtle-2013/turtle-syntax-bad-uri-01.ttl,
	tests/turtle-2013/turtle-syntax-bad-uri-02.ttl,
	tests/turtle-2013/turtle-syntax-bad-uri-03.ttl,
	tests/turtle-2013/turtle-syntax-bad-uri-04.ttl,
	tests/turtle-2013/turtle-syntax-bad-uri-05.ttl,
	tests/turtle-2013/turtle-syntax-base-01.ttl,
	tests/turtle-2013/turtle-syntax-base-02.ttl,
	tests/turtle-2013/turtle-syntax-base-03.ttl,
	tests/turtle-2013/turtle-syntax-base-04.ttl,
	tests/turtle-2013/turtle-syntax-bnode-01.ttl,
	tests/turtle-2013/turtle-syntax-bnode-02.ttl,
	tests/turtle-2013/turtle-syntax-bnode-03.ttl,
	tests/turtle-2013/turtle-syntax-bnode-04.ttl,
	tests/turtle-2013/turtle-syntax-bnode-05.ttl,
	tests/turtle-2013/turtle-syntax-bnode-06.ttl,
	tests/turtle-2013/turtle-syntax-bnode-07.ttl,
	tests/turtle-2013/turtle-syntax-bnode-08.ttl,
	tests/turtle-2013/turtle-syntax-bnode-09.ttl,
	tests/turtle-2013/turtle-syntax-bnode-10.ttl,
	tests/turtle-2013/turtle-syntax-datatypes-01.ttl,
	tests/turtle-2013/turtle-syntax-datatypes-02.ttl,
	tests/turtle-2013/turtle-syntax-file-01.ttl,
	tests/turtle-2013/turtle-syntax-file-02.ttl,
	tests/turtle-2013/turtle-syntax-file-03.ttl,
	tests/turtle-2013/turtle-syntax-kw-01.ttl,
	tests/turtle-2013/turtle-syntax-kw-02.ttl,
	tests/turtle-2013/turtle-syntax-kw-03.ttl,
	tests/turtle-2013/turtle-syntax-lists-01.ttl,
	tests/turtle-2013/turtle-syntax-lists-02.ttl,
	tests/turtle-2013/turtle-syntax-lists-03.ttl,
	tests/turtle-2013/turtle-syntax-lists-04.ttl,
	tests/turtle-2013/turtle-syntax-lists-05.ttl,
	tests/turtle-2013/turtle-syntax-number-01.ttl,
	tests/turtle-2013/turtle-syntax-number-02.ttl,
	tests/turtle-2013/turtle-syntax-number-03.ttl,
	tests/turtle-2013/turtle-syntax-number-04.ttl,
	tests/turtle-2013/turtle-syntax-number-05.ttl,
	tests/turtle-2013/turtle-syntax-number-06.ttl,
	tests/turtle-2013/turtle-syntax-number-07.ttl,
	tests/turtle-2013/turtle-syntax-number-08.ttl,
	tests/turtle-2013/turtle-syntax-number-09.ttl,
	tests/turtle-2013/turtle-syntax-number-10.ttl,
	tests/turtle-2013/turtle-syntax-number-11.ttl,
	tests/turtle-2013/turtle-syntax-pname-esc-01.ttl,
	tests/turtle-2013/turtle-syntax-pname-esc-02.ttl,
	tests/turtle-2013/turtle-syntax-pname-esc-03.ttl,
	tests/turtle-2013/turtle-syntax-prefix-01.ttl,
	tests/turtle-2013/turtle-syntax-prefix-02.ttl,
	tests/turtle-2013/turtle-syntax-prefix-03.ttl,
	tests/turtle-2013/turtle-syntax-prefix-04.ttl,
	tests/turtle-2013/turtle-syntax-prefix-05.ttl,
	tests/turtle-2013/turtle-syntax-prefix-06.ttl,
	tests/turtle-2013/turtle-syntax-prefix-07.ttl,
	tests/turtle-2013/turtle-syntax-prefix-08.ttl,
	tests/turtle-2013/turtle-syntax-prefix-09.ttl,
	tests/turtle-2013/turtle-syntax-str-esc-01.ttl,
	tests/turtle-2013/turtle-syntax-str-esc-02.ttl,
	tests/turtle-2013/turtle-syntax-str-esc-03.ttl,
	tests/turtle-2013/turtle-syntax-string-01.ttl,
	tests/turtle-2013/turtle-syntax-string-02.ttl,
	tests/turtle-2013/turtle-syntax-string-03.ttl,
	tests/turtle-2013/turtle-syntax-string-04.ttl,
	tests/turtle-2013/turtle-syntax-string-05.ttl,
	tests/turtle-2013/turtle-syntax-string-06.ttl,
	tests/turtle-2013/turtle-syntax-string-07.ttl,
	tests/turtle-2013/turtle-syntax-string-08.ttl,
	tests/turtle-2013/turtle-syntax-string-09.ttl,
	tests/turtle-2013/turtle-syntax-string-10.ttl,
	tests/turtle-2013/turtle-syntax-string-11.ttl,
	tests/turtle-2013/turtle-syntax-struct-01.ttl,
	tests/turtle-2013/turtle-syntax-struct-02.ttl,
	tests/turtle-2013/turtle-syntax-struct-03.ttl,
	tests/turtle-2013/turtle-syntax-struct-04.ttl,
	tests/turtle-2013/turtle-syntax-struct-05.ttl,
	tests/turtle-2013/turtle-syntax-uri-01.ttl,
	tests/turtle-2013/turtle-syntax-uri-02.ttl,
	tests/turtle-2013/turtle-syntax-uri-03.ttl,
	tests/turtle-2013/turtle-syntax-uri-04.ttl: Add Turtle 2013 tests
	from W3C

	* src/.gitignore: Exclude .trs files from newer automate test
	framework

	* src/turtle_lexer.l:
	Add Turtle 2013 rules

	Added PN_CHARS_BASE (no Unicode), PN_CHARS from Turtle 2013

	Added BS_ESCAPES based on Turtle 2013 PN_LOCAL escapes

	Added HEX

	Added PLX from Turtle 2013

	Added BN_LABEL, PN_PREFIX and PN_LOCAL based on Turtle 2013 rules.

	Redefine QNAME in terms of PN_PREFIX and PN_LOCAL Replace BNAME
	with BN_LABEL for blank node label Use PN_PREFIX for @prefix
	prefix

	* configure.ac, tests/Makefile.am:
	Add tests/turtle-2013

2013-02-22  Dave Beckett <dave@dajobe.org>

	* build/.gitignore: Ignore automake test-driver

	* src/CMakeLists.txt: Add raptor_sparql.c

	* src/raptor_sparql.c: comment

2013-02-21  Dave Beckett <dave@dajobe.org>

	* src/raptor_sparql.c: docs

	* src/raptor_sparql.c:
	(raptor_sparql_name_check): Check hex

	* src/Makefile.am, src/raptor2.h.in, src/raptor_qname.c,
	src/raptor_sparql.c: Add sparql name check module

	* src/raptor_qname.c:
	(raptor_sparql_name_check): Added to check sparql / turtle names
	Adds new enum raptor_sparql_name_check_type

2013-02-20  Dave Beckett <dave@dajobe.org>

	* src/raptor_www.c:
	(raptor_www_set_ssl_verify_options): Update docs to match curl
	latest

2013-02-18  Dave Beckett <dave@dajobe.org>

	* INSTALL.html: Document how to find gtkdocize
	Fixes Issue #0000526
	http://bugs.librdf.org/mantis/view.php?id=526

2013-02-13  Dave Beckett <dave@dajobe.org>

	* src/raptor_www_curl.c: Never use CURLOPT_SSL_VERIFYHOST with a
	value of 2

	(raptor_www_curl_set_ssl_verify_options): curl 7.28.1 removed the
	value 1 from being legal:
	http://daniel.haxx.se/blog/2012/10/25/libcurl-claimed-to-be-dangerous/CURL
	GIT commit da82f59b697310229ccdf66104d5d65a44dfab98
	Sat Oct 27 12:31:39 2012 +0200

	Legal values are: 0 to disable host verifying 2 (default) to
	enable host verifyinging

2013-01-24  Dave Beckett <dave@dajobe.org>

	* ChangeLog: 2.0.9 and 2013

2013-01-23  Dave Beckett <dave@dajobe.org>

	* librdfa/triple.c:
	Output correct literal datatypes ^^<uri>

	librdfa commit f3d10545bc2dd4a7aa940dd11dfcb6c6035e23a4

2013-01-03  Dave Beckett <dave@dajobe.org>

	* ChangeLog, LICENSE.html, NEWS.html, README.html, RELEASE.html:
	2.0.9 and 2013

2012-12-11  Dave Beckett <dave@dajobe.org>

	* .gitignore: Ignore CMakeTests.txt

2012-11-07  Dave Beckett <dave@dajobe.org>

	* librdfa/rdfa.c: Handle non-namespaced elements without crash in
	RDFa

	Fixes Issue #0000521
	http://bugs.librdf.org/mantis/view.php?id=521

2012-10-22  Dave Beckett <dave@dajobe.org>

	* Merge pull request #6 from ansell/master: Update turtle test
	manifests

2012-09-23  Dave Beckett <dave@dajobe.org>

	* manifest.pl:
	Remove ancient manifest.pl moved to testing project

2012-09-19  Dave Beckett <dave@dajobe.org>

	* Merge pull request #5 from iskunk/drg-win32-2
	Win32 parser-guess and DLL linkage fixes

2012-09-19  Daniel Richard G <danielg@teragram.com>

	* src/raptor_internal.h, src/turtle_common.h: Fix DLL export
	linkage for internal functions needed by the test programs

	This allows the test programs to be linked against a DLL build of
	Raptor.

	* src/raptor_internal.h, src/raptor_parse.c: Ensure that a small
	system BUFSIZ does not affect parser guessing

	raptor_internal.h: Ensure that RAPTOR_READ_BUFFER_SIZE is never
	smaller than 4096. (It really only needs to be as large as FIRSTN
	in raptor_parse.c, i.e. 1024, but 4kB isn't all that much nowadays
	anyway)

	(raptor_world_guess_parser_name): Added a compile-time check to
	ensure that RAPTOR_READ_BUFFER_SIZE is at least as large as
	FIRSTN, because otherwise the guesser sees fewer than FIRSTN bytes
	from the document.

2012-09-07  Dave Beckett <dave@dajobe.org>

	* utils/rapper.c: Remove -m MODE from help

	This option was removed in commit
	f94fa561db05b21132b14a2b72f05b77e666c252 on Wed Apr 28 21:31:54
	2010 -0700 as part of the Raptor V2 work.

2012-08-31  Dave Beckett <dave@dajobe.org>

	* autogen.sh, configure.ac: Require autoconf 2.62 again

	* autogen.sh: Update autogen.sh

	* autogen.sh: Echo autoconf args

	Merge pull request #4 from iskunk/drg-win32 win32 and
	autoconf-related changes

2012-08-30  Daniel Richard G <danielg@teragram.com>

	* CMakeLists.txt, src/CMakeLists.txt: Simplify CMake usage with
	CMAKE_INCLUDE_CURRENT_DIR

	* configure.ac, docs/Makefile.am, examples/grapper.c,
	examples/raptor_abort.c, scripts/fix-flex, src/.gitignore,
	src/Makefile.am, src/ntriples_parse.c, src/parsedate.y,
	src/raptor_abbrev.c, src/raptor_avltree.c, src/raptor_concepts.c,
	src/raptor_general.c, src/raptor_grddl.c, src/raptor_guess.c,
	src/raptor_iostream.c, src/raptor_json.c,
	src/raptor_json_writer.c, src/raptor_librdfa.c,
	src/raptor_libxml.c, src/raptor_locator.c, src/raptor_log.c,
	src/raptor_memstr.c, src/raptor_namespace.c, src/raptor_nfc_icu.c,
	src/raptor_nfc_test.c, src/raptor_option.c, src/raptor_parse.c,
	src/raptor_permute_test.c, src/raptor_qname.c,
	src/raptor_rdfxml.c, src/raptor_rfc2396.c, src/raptor_rss.c,
	src/raptor_rss_common.c, src/raptor_sax2.c, src/raptor_sequence.c,
	src/raptor_serialize.c, src/raptor_serialize_dot.c,
	src/raptor_serialize_html.c, src/raptor_serialize_json.c,
	src/raptor_serialize_ntriples.c, src/raptor_serialize_rdfxml.c,
	src/raptor_serialize_rdfxmla.c, src/raptor_serialize_rss.c,
	src/raptor_serialize_turtle.c, src/raptor_set.c,
	src/raptor_statement.c, src/raptor_stringbuffer.c,
	src/raptor_syntax_description.c, src/raptor_term.c,
	src/raptor_turtle_writer.c, src/raptor_unicode.c,
	src/raptor_uri.c, src/raptor_win32.c, src/raptor_www.c,
	src/raptor_www_curl.c, src/raptor_www_libfetch.c,
	src/raptor_www_libxml.c, src/raptor_www_test.c, src/raptor_xml.c,
	src/raptor_xml_writer.c, src/snprintf.c, src/strcasecmp.c,
	src/turtle_common.c, src/turtle_lexer.l, src/turtle_parser.y,
	src/win32_raptor_config.h.in, utils/rapper.c, utils/rdfdiff.c:
	Remove all traces of win32_raptor_config.h

	Remove the file itself, all #include uses of it, and all
	references to it, as this file is no longer needed.

	* Makefile.am, README-cmake.md, configure.ac, win32/Makefile.am,
	win32/README.md, win32/rapper.dsp, win32/rapper.vcproj,
	win32/raptor.dsp, win32/raptor.dsw, win32/raptor.sln,
	win32/raptor.vcproj, win32/raptortest.cpp, win32/raptortest.dsp,
	win32/raptortest.vcproj: Delete win32/ subdirectory

	The MSVC6 and MSVC7.1 project files in win32/ fail to build
	current versions of Raptor, require external projects for Curl and
	Expat which do not appear to be publicly available, are unlikely
	to get the extensive work they need in the near future due to John
	Barstow's busy schedule, and are redundant now that Raptor can be
	built on Windows using CMake. Thus, out they go.

	win32/README.md: Moved up to README-cmake.md, as this information
	is useful, and CMake build support is not limited to Win32

2012-08-25  Dave Beckett <dave@dajobe.org>

	* configure.ac:
	fix PKG_CONFIG_REQUIRES version vars

	* configure.ac, raptor2.pc.in: Allow xml2-config and curl-config
	to work for libxml and libcurl

	- report on source of xml, curl libraries in status
	- remove extra oCPPFLAGS assignements
	- substitute pkgconfig dependencies into raptor2.pc

2012-08-20  Dave Beckett <dave@dajobe.org>

	* src/raptor_log.c:
	(raptor_log_error): sizeof should take size of field not pointer

2012-08-16  Dave Beckett <dave@dajobe.org>

	* src/raptor_libxml.c: Handle ret->checked field not being present

	The entities checked field was added 2006-10-10 in
	http://git.gnome.org/browse/libxml2/commit/?id=a37a6ad91a61d168ecc4b29263def3363fff4da6and
	released in libxml2 2.6.27 on 2006-10-25

	Fixes Issue #0000520
	http://bugs.librdf.org/mantis/view.php?id=520

2012-08-14  Dave Beckett <dave@dajobe.org>

	* src/raptor_rdfxml.c:
	(raptor_rdfxml_element_content_type_as_string): LAST is not valid

2012-08-10  Dave Beckett <dave@dajobe.org>

	* RELEASE.html: 2.0.9

	* win32/Makefile.am:
	README.md in dist replacing README.txt

2012-08-10  Daniel Richard G <oss@teragram.com>

	* CMakeLists.txt, Makefile.am, librdfa/config.h,
	src/CMakeLists.txt, src/Makefile.am, src/raptor_config_cmake.h.in,
	src/win32_raptor_config.h.in, tests/feeds/CMakeLists.txt,
	tests/feeds/Makefile.am, tests/grddl/CMakeLists.txt,
	tests/grddl/Makefile.am, tests/json/CMakeLists.txt,
	tests/json/Makefile.am, tests/ntriples/CMakeLists.txt,
	tests/ntriples/Makefile.am, tests/rdfa/CMakeLists.txt,
	tests/rdfa/Makefile.am, tests/rdfa11/CMakeLists.txt,
	tests/rdfa11/Makefile.am, tests/rdfxml/CMakeLists.txt,
	tests/rdfxml/Makefile.am, tests/trig/CMakeLists.txt,
	tests/trig/Makefile.am, utils/CMakeLists.txt, utils/Makefile.am,
	win32/README.md, win32/README.txt: CMake build framework for
	Raptor - win32

	This commit is based on the email with patch that
	Daniel Richard G.  sent to redland-dev on 5th July 2012
	  http://lists.librdf.org/pipermail/redland-dev/2012-July/002502.htmlI
	lightly edited the email to fit into 80 chars and make more it
	markdowny and turn it into win32/README.md -- Dave Beckett

2012-07-27  Dave Beckett <dave@dajobe.org>

	* configure.ac: Fix for flex version message from OSX

2012-07-05  Dave Beckett <dave@dajobe.org>

	* src/raptor2.h.in:
	Protect macro checks for __GNUC__ are defined

2012-07-01  Dave Beckett <dave@dajobe.org>

	* src/raptor2.h.in: Add RAPTOR_NORETURN

	* configure.ac:
	Set automake -W and gcc -W to same as librdf

2012-06-26  Dave Beckett <dave@dajobe.org>

	* Makefile.am: EXTRA_DIST: Remove ChangeLog NEWS since they are in
	dist by default

	* scripts/build-formats.c:
	(sort_type_syntax_by_mime_type): Add explicit cast for ordering mime
	types

	* Makefile.am:
	Restore NEWS building to maintainer mode.

	Reverts 979af117bb40de4e8391656b3e18f47f7096d1fc but requires
	autogen.sh to touch NEWS after a GIT checkout so that automake can
	run.

	* autogen.sh:
	autogen.sh updates
	- Abort run if a configuring program fails.
	- Generate NEWS with old timestamp if missing so automake can run
	- small doc and message updates

	* librdfa/strtok_r.h: Fix strtok_r typo

	* docs/Makefile.am: Added raptor-1-to-2-map.tsv to EXTRA_DIST

2012-06-24  Dave Beckett <dave@dajobe.org>

	* Snapshotted raptor2_2_0_8 for 2.0.8 release (GIT
	dbdb2f9e4aee4e93383fe62751b52349be64187b)

	* librdfa/config.h, librdfa/rdfa.h: Fix fake librdfa config.h

	* librdfa/config.h, librdfa/context.c, librdfa/lists.c,
	librdfa/rdfa.h: librdfa config.h now includes raptor_config.h
	directly

2012-06-23  Dave Beckett <dave@dajobe.org>

	* src/raptor_www_libxml.c:
	Init / cleanup libxml nano HTTP library

	(raptor_www_libxml_init, raptor_www_libxml_free): Call
	xmlNanoHTTPInit and xmlNanoHTTPCleanup respectively.

2012-06-22  Dave Beckett <dave@dajobe.org>

	* librdfa/context.c: DECLARE_URI_MAPPING - start new namespace, do
	not make a new one Call raptor_namespaces_start_namespace()
	instead of raptor_namespace_stack_start_namespace() which copies
	the namespace to the stack and then starts it.

	* tests/rdfa11/Makefile.am: Update rapper and rdfdiff use like
	already done for 'rdfa' tests

	* librdfa/rdfa.c:
	(raptor_rdfa_start_element): Free attr if allocated

	* src/raptor_nfc_test.c: Remove include of raptor_nfc.h

2012-06-20  Dave Beckett <dave@dajobe.org>

	* NEWS.html, RELEASE.html: 2.0.8

	* librdfa/curie.c, librdfa/namespace.c, librdfa/rdfa.c: Build
	fixes from Daniel Richard G.

	* RELEASE.html: 2.0.8

2012-06-19  Dave Beckett <dave@dajobe.org>

	* src/raptor_parse.c: Lower min syntax guess score to 2 (Q 0.3)

	* src/turtle_parser.y: If Turtle and Trig are both present, make
	guessing prefer Turtle

	Also score higher for Trig if 'trig' is in mime type

	* examples/.gitignore: ignore rdfguess

	* examples/rdfguess.c: Update rdfguess example code to read from
	stdin or a file called '-'

	(rdfguess_guess_name): Added and alter to accept file called '-'
	as reading from FILE* stdin.

	(main): Call above to support reading from stdin.  Do something
	with -h/--help

	* src/raptor_parse.c: Be conservative in guessing syntax - scoring
	too low is a failure.

	(raptor_world_guess_parser_name): Set min guess core to 5 (Q
	0.6). this value isn't exposed or user configurable.
	Addresses Issue #0000487
	http://bugs.librdf.org/mantis/view.php?id=487

	* tests/feeds/Makefile.am: Fix output turtle files for out of
	source tree 'make check'

2012-06-18  Dave Beckett <dave@dajobe.org>

	* NEWS.html, README.html, RELEASE.html: 2.0.8

2012-06-17  Dave Beckett <dave@dajobe.org>

	* librdfa/curie.c:
	(rdfa_resolve_curie): Protect NULL uri lookup [clang]

	* librdfa/rdfa_utils.c:
	(rdfa_add_item): Protect NULL list lookup [clang]

	* librdfa/curie.c:
	(rdfa_resolve_curie): Protect NULL uri lookup [clang]

	* src/raptor_namespace.c:
	(raptor_namespaces_find_namespace): No NULL prefix for strcmp
	[clang]

	* librdfa/context.c:
	(rdfa_create_new_element_context): Return NULL on OOM [clang]

	* librdfa/context.c: librdfa in raptor: do not print to stdout on
	failure

	(rdfa_create_context): Remove printf with hardcoded message.  if
	malloc fails return NULL

	* librdfa/rdfa.c:
	(end_element): Protect for NULL xml_literal before strlen [clang]

	* librdfa/curie.c:
	(rdfa_resolve_uri): empty rval check for OOM [clang]

	* src/raptor_qname.c:
	(raptor_qname_copy): Free new_qname on OOM [clang]

	* NEWS.html, RELEASE.html: 2.0.8

	* src/raptor_serialize_turtle.c: Do not emit a Turtle (...)
	collection if the list item is a URI

	Fixes Issue #0000381
	http://bugs.librdf.org/mantis/view.php?id=381

	* tests/rdfa11/Makefile.am: 29 failures - 0114 passes

	* tests/rdfa11/0114.out: Correct expected result based on original
	sparql

	* src/raptor_rfc2396.c:
	Fix URI resolving with reference uri '?y'

	(raptor_uri_resolve_uri_reference): When reference uri has no path,
	copy the base path over.

	(main): Correct the test case expected result for '?y' following
	RFC3986 section 5.4.1 Normal examples.  Add test case based on
	RDFa 1.1 test 0114

	* tests/rdfa11/Makefile.am: 30 failures - 0234 passes

	* tests/rdfa11/0234.out: Fix test URI

	* tests/rdfa11/Makefile.am: notes

	* tests/rdfa11/Makefile.am: 32 failures - 0295 passes

	* tests/rdfa11/0295.out: Update XML ns; remove non-ascii junk

	* tests/rdfa11/Makefile.am: 32 failures - 0259 passes

	* librdfa/curie.c:
	(rdfa_resolve_curie): Get XML namespace from constnat

2012-06-13  Dave Beckett <dave@dajobe.org>

	* src/raptor_guess.c, src/raptor_internal.h, src/raptor_parse.c:
	Raptor locator accessor for guess parser struct
	raptor_parser_factory_s gains optional get_locator method.

	(raptor_parser_get_locator): Call factory get_locator method if
	present, otherwise use field.

	(raptor_guess_guess_get_locator): Added to get locator from inner
	parser if it exists.

2012-06-11  Dave Beckett <dave@dajobe.org>

	* configure.ac: Compare libcurl hex vernums as strings

	* src/raptor_term.c:
	(raptor_new_term_from_literal): Cast language length again

	* src/raptor_internal.h: Remove redundant
	raptor_parser_log_error_varargs

	* librdfa/Makefile.am: Add missing librdfa files to dist

	* src/raptor_internal.h: Add prototype for
	raptor_parser_log_error_varargs

	* tests/rdfa11/0226.out, tests/rdfa11/0226.xml,
	tests/rdfa11/0227.out, tests/rdfa11/0227.xml: Updated RDFa 1.1
	tests 0226 and 0227 after upstream change

	Switches from (fake) rdf:inlist property to ex:inlist in
	example.org namespace

2012-06-10  Dave Beckett <dave@dajobe.org>

	* tests/rdfa11/Makefile.am:
	33 failures

	* tests/rdfa11/0221.out: Add <uri> rdf:value <foo> triple that is
	also generated by librdfa

	* tests/rdfa11/0218.out: Fix test URI

	* tests/rdfa11/0201.out: Fix test URI to .xml

	* tests/rdfa11/0220.out: Add <uri> rdf:value <foo> triple that is
	also generated by librdfa

	* tests/rdfa11/0197.out: Add other triples not tested in sparql

	* tests/rdfa11/Makefile.am: More failures detail

	* tests/rdfa11/0255.out: 1 triple plain literal test

	* tests/rdfa11/Makefile.am: 39 failures

	* tests/rdfa11/0061.xml, tests/rdfa11/0062.xml,
	tests/rdfa11/0076.xml, tests/rdfa11/0077.xml,
	tests/rdfa11/0172.xml, tests/rdfa11/0173.xml,
	tests/rdfa11/0260.xml: Format some tests as XHTML1 as the only
	expected input form.  0061 0062 0076 0077 0172 0173 0260 are
	marked in the test manifest as only having a host language
	'xhtml1'

	* tests/rdfa11/0260.out: Fix test URI

	* tests/rdfa11/Makefile.am: 44 failures

	* src/raptor_sax2.c:
	(raptor_sax2_inscope_xml_language): Allow returning ""

	* tests/rdfa11/0296.out: Add vocab triple and homepage one that
	sparql ommits

	* tests/rdfa11/0259.out: Add test URI

	* tests/rdfa11/0258.out: FIx test URI

	* librdfa/rdfa.c: Simplify and fix languag handling

	* src/raptor_general.c, src/raptor_internal.h: Move git-version.h
	include to just one module to speed up recompiles.

2012-06-09  Dave Beckett <dave@dajobe.org>

	* tests/rdfa11/Makefile.am: 0295

	* tests/rdfa11/0295.out:
	Test passes if >0 triples are generated

	* src/raptor_librdfa.c:
	(raptor_librdfa_parse_start): Set initial line/column to unknown.

	* librdfa/rdfa.c: librdfa in raptor - pass back error line number
	info to user

	(start_element): Update locator from SAX2

	* tests/rdfa11/Makefile.am: 50 failures

	* tests/rdfa11/0189.out: Fix test URI

	* tests/rdfa11/0187.out: Fix output vocabs

	* tests/rdfa11/Makefile.am: 0304 note

	* src/raptor_internal.h: Redefine rdfa_update_uri_mappings to
	internal symbol

	* tests/rdfa11/Makefile.am: 52 failures

	* tests/rdfa11/0301.out, tests/rdfa11/0302.out,
	tests/rdfa11/0303.out: Use exact output triples including
	usesVocabulary

	* tests/rdfa11/0258.out: 1 triple

	* tests/rdfa11/Makefile.am: 53 failures

	* tests/rdfa11/0272.out, tests/rdfa11/0273.out,
	tests/rdfa11/0274.out, tests/rdfa11/0275.out,
	tests/rdfa11/0276.out, tests/rdfa11/0277.out,
	tests/rdfa11/0278.out, tests/rdfa11/0279.out,
	tests/rdfa11/0280.out, tests/rdfa11/0281.out,
	tests/rdfa11/0282.out, tests/rdfa11/0283.out,
	tests/rdfa11/0284.out, tests/rdfa11/0285.out,
	tests/rdfa11/0286.out, tests/rdfa11/0287.out: Fixed expected
	output bnode subject to be test URI

	* tests/rdfa11/0188.out, tests/rdfa11/0189.out: Add usesVocabulary
	triple which comes from @vocab - why!?

	* tests/rdfa11/0186.out: Add usesVocabulary triple which comes
	from @vocab - why!?

	* src/Makefile.am: Add librdfa/namespace.c

	* librdfa/rdfa.c: Let rdfa_update_uri_mappings() handle RDFa
	namespace starting.

	* librdfa/Makefile.am, librdfa/namespace.c: Add namespace.c

	* librdfa/rdfa.c: Handle @lang tag for raptor

	* tests/rdfa11/0180.out: Expect 1 triple

	* tests/rdfa11/0173.out: just 1 triple with a plain literal

	* tests/rdfa11/Makefile.am: 58 failures

	* librdfa/rdfa.c:
	(start_element): Do not abort @prefix handling too early

	* tests/rdfa11/Makefile.am:
	0176 passes

	* tests/rdfa11/0176.out: Use exact expected output for quick cmp

	* tests/rdfa11/Makefile.am: Use cmp as a quicker test before doing
	an rdfdiff

	* tests/rdfa11/0107.out, tests/rdfa11/0122.out,
	tests/rdfa11/0140.out, tests/rdfa11/0180.out,
	tests/rdfa11/0235.out, tests/rdfa11/0258.out: Add expect 0 triples
	files

	* tests/rdfa11/0295.out: 0295 expected output

	* tests/rdfa11/Makefile.am: comments

	* configure.ac, tests/Makefile.am, tests/rdfa11/0001.out,
	tests/rdfa11/0001.xml, tests/rdfa11/0006.out,
	tests/rdfa11/0006.xml, tests/rdfa11/0007.out,
	tests/rdfa11/0007.xml, tests/rdfa11/0008.out,
	tests/rdfa11/0008.xml, tests/rdfa11/0009.out,
	tests/rdfa11/0009.xml, tests/rdfa11/0010.out,
	tests/rdfa11/0010.xml, tests/rdfa11/0012.out,
	tests/rdfa11/0012.xml, tests/rdfa11/0013.out,
	tests/rdfa11/0013.xml, tests/rdfa11/0014.out,
	tests/rdfa11/0014.xml, tests/rdfa11/0015.out,
	tests/rdfa11/0015.xml, tests/rdfa11/0017.out,
	tests/rdfa11/0017.xml, tests/rdfa11/0018.out,
	tests/rdfa11/0018.xml, tests/rdfa11/0019.out,
	tests/rdfa11/0019.xml, tests/rdfa11/0020.out,
	tests/rdfa11/0020.xml, tests/rdfa11/0021.out,
	tests/rdfa11/0021.xml, tests/rdfa11/0023.out,
	tests/rdfa11/0023.xml, tests/rdfa11/0025.out,
	tests/rdfa11/0025.xml, tests/rdfa11/0026.out,
	tests/rdfa11/0026.xml, tests/rdfa11/0027.out,
	tests/rdfa11/0027.xml, tests/rdfa11/0029.out,
	tests/rdfa11/0029.xml, tests/rdfa11/0030.out,
	tests/rdfa11/0030.xml, tests/rdfa11/0031.out,
	tests/rdfa11/0031.xml, tests/rdfa11/0032.out,
	tests/rdfa11/0032.xml, tests/rdfa11/0033.out,
